# Users

Operations for managing users

## Get groups matching the given filters.

> \<b>Required Roles\</b>: \<em>ApiUsers\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"users","description":"Operations for managing users"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["users"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"Group":{"required":["name","roles"],"type":"object","properties":{"name":{"type":"string","description":"The name of the group."},"roles":{"uniqueItems":true,"type":"array","description":"The roles that will be assigned to the users who are part of this group.","items":{"type":"string","enum":["AbTestManager","AfterSearchNavigationManager","BackupManager","CacheManager","CampaignManager","ConfiguratorManager","DeploymentManager","ImportManager","IntermediateOnlyImportManager","InstallManager","LanguageManager","LogfileAnalyzerManager","MayChangePassword","MessagesManager","NotificationManager","PreprocessorManager","RankingManager","RecommendationEngineManager","SearchInterfaceUser","SearchManager","ShowHelpSection","SuggestManager","ThesaurusManager","UserManager","WordValuesManager","SsoManager","ApiImport","ApiAnalytics","ApiPublicQueries","ApiConfig","ApiJobs","ApiDatabase","ApiMonitor","ApiManage","ApiUsers"]}}}},"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/groups":{"get":{"tags":["users"],"summary":"Get groups matching the given filters.","description":"<b>Required Roles</b>: <em>ApiUsers</em>","operationId":"getGroups","parameters":[{"name":"name","in":"query","description":"Filter groups whose name contains a specific string.","required":false,"schema":{"type":"string"}},{"name":"role","in":"query","description":"Filter groups with specific role.","required":false,"schema":{"type":"string","enum":["AbTestManager","AfterSearchNavigationManager","BackupManager","CacheManager","CampaignManager","ConfiguratorManager","DeploymentManager","ImportManager","IntermediateOnlyImportManager","InstallManager","LanguageManager","LogfileAnalyzerManager","MayChangePassword","MessagesManager","NotificationManager","PreprocessorManager","RankingManager","RecommendationEngineManager","SearchInterfaceUser","SearchManager","ShowHelpSection","SuggestManager","ThesaurusManager","UserManager","WordValuesManager","SsoManager","ApiImport","ApiAnalytics","ApiPublicQueries","ApiConfig","ApiJobs","ApiDatabase","ApiMonitor","ApiManage","ApiUsers"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Group"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Create a new group. Non-admin user are not allowed to create groups containing api roles.

> \<b>Required Roles\</b>: \<em>ApiUsers\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"users","description":"Operations for managing users"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["users"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"Group":{"required":["name","roles"],"type":"object","properties":{"name":{"type":"string","description":"The name of the group."},"roles":{"uniqueItems":true,"type":"array","description":"The roles that will be assigned to the users who are part of this group.","items":{"type":"string","enum":["AbTestManager","AfterSearchNavigationManager","BackupManager","CacheManager","CampaignManager","ConfiguratorManager","DeploymentManager","ImportManager","IntermediateOnlyImportManager","InstallManager","LanguageManager","LogfileAnalyzerManager","MayChangePassword","MessagesManager","NotificationManager","PreprocessorManager","RankingManager","RecommendationEngineManager","SearchInterfaceUser","SearchManager","ShowHelpSection","SuggestManager","ThesaurusManager","UserManager","WordValuesManager","SsoManager","ApiImport","ApiAnalytics","ApiPublicQueries","ApiConfig","ApiJobs","ApiDatabase","ApiMonitor","ApiManage","ApiUsers"]}}}},"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/groups":{"post":{"tags":["users"],"summary":"Create a new group. Non-admin user are not allowed to create groups containing api roles.","description":"<b>Required Roles</b>: <em>ApiUsers</em>","operationId":"createGroup","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Group"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Group"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Update group. Non-admin user are not allowed to add new api roles to the group.

> \<b>Required Roles\</b>: \<em>ApiUsers\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"users","description":"Operations for managing users"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["users"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"Group":{"required":["name","roles"],"type":"object","properties":{"name":{"type":"string","description":"The name of the group."},"roles":{"uniqueItems":true,"type":"array","description":"The roles that will be assigned to the users who are part of this group.","items":{"type":"string","enum":["AbTestManager","AfterSearchNavigationManager","BackupManager","CacheManager","CampaignManager","ConfiguratorManager","DeploymentManager","ImportManager","IntermediateOnlyImportManager","InstallManager","LanguageManager","LogfileAnalyzerManager","MayChangePassword","MessagesManager","NotificationManager","PreprocessorManager","RankingManager","RecommendationEngineManager","SearchInterfaceUser","SearchManager","ShowHelpSection","SuggestManager","ThesaurusManager","UserManager","WordValuesManager","SsoManager","ApiImport","ApiAnalytics","ApiPublicQueries","ApiConfig","ApiJobs","ApiDatabase","ApiMonitor","ApiManage","ApiUsers"]}}}},"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/groups":{"put":{"tags":["users"],"summary":"Update group. Non-admin user are not allowed to add new api roles to the group.","description":"<b>Required Roles</b>: <em>ApiUsers</em>","operationId":"updateGroup","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Group"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Group"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Delete multiple groups.

> \<b>Required Roles\</b>: \<em>ApiUsers\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"users","description":"Operations for managing users"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["users"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"Group":{"required":["name","roles"],"type":"object","properties":{"name":{"type":"string","description":"The name of the group."},"roles":{"uniqueItems":true,"type":"array","description":"The roles that will be assigned to the users who are part of this group.","items":{"type":"string","enum":["AbTestManager","AfterSearchNavigationManager","BackupManager","CacheManager","CampaignManager","ConfiguratorManager","DeploymentManager","ImportManager","IntermediateOnlyImportManager","InstallManager","LanguageManager","LogfileAnalyzerManager","MayChangePassword","MessagesManager","NotificationManager","PreprocessorManager","RankingManager","RecommendationEngineManager","SearchInterfaceUser","SearchManager","ShowHelpSection","SuggestManager","ThesaurusManager","UserManager","WordValuesManager","SsoManager","ApiImport","ApiAnalytics","ApiPublicQueries","ApiConfig","ApiJobs","ApiDatabase","ApiMonitor","ApiManage","ApiUsers"]}}}},"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/groups":{"delete":{"tags":["users"],"summary":"Delete multiple groups.","description":"<b>Required Roles</b>: <em>ApiUsers</em>","operationId":"deleteGroups","parameters":[{"name":"name","in":"query","description":"List with names of the groups that should be deleted.","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Group"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Delete the group with the given name.

> \<b>Required Roles\</b>: \<em>ApiUsers\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"users","description":"Operations for managing users"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["users"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"Group":{"required":["name","roles"],"type":"object","properties":{"name":{"type":"string","description":"The name of the group."},"roles":{"uniqueItems":true,"type":"array","description":"The roles that will be assigned to the users who are part of this group.","items":{"type":"string","enum":["AbTestManager","AfterSearchNavigationManager","BackupManager","CacheManager","CampaignManager","ConfiguratorManager","DeploymentManager","ImportManager","IntermediateOnlyImportManager","InstallManager","LanguageManager","LogfileAnalyzerManager","MayChangePassword","MessagesManager","NotificationManager","PreprocessorManager","RankingManager","RecommendationEngineManager","SearchInterfaceUser","SearchManager","ShowHelpSection","SuggestManager","ThesaurusManager","UserManager","WordValuesManager","SsoManager","ApiImport","ApiAnalytics","ApiPublicQueries","ApiConfig","ApiJobs","ApiDatabase","ApiMonitor","ApiManage","ApiUsers"]}}}},"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/groups/{name}":{"delete":{"tags":["users"],"summary":"Delete the group with the given name.","description":"<b>Required Roles</b>: <em>ApiUsers</em>","operationId":"deleteGroup","parameters":[{"name":"name","in":"path","description":"Name of the group which should be deleted.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Group"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Get visible channels

> \<b>Required Roles\</b>: \<em>none\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"users","description":"Operations for managing users"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/user/channel":{"get":{"tags":["users"],"summary":"Get visible channels","description":"<b>Required Roles</b>: <em>none</em>","operationId":"getVisibleChannels","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Get the users, which fulfil the given filters.

> \<b>Required Roles\</b>: \<em>ApiUsers\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"users","description":"Operations for managing users"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["users"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"UserInfo":{"required":["lastActive","name","origin","permissions","uiSettings"],"type":"object","properties":{"lastActive":{"type":"string","description":"Date of the last activity of the user or the creation date, when the user did not log in, yet.","format":"date-time"},"name":{"type":"string","description":"The name of the user."},"origin":{"type":"string","description":"If the user is managed locally or remotely.","enum":["LOCAL","REMOTE"]},"permissions":{"$ref":"#/components/schemas/Permissions"},"uiSettings":{"$ref":"#/components/schemas/UiSettings"}},"description":"Represents a user and its settings."},"Permissions":{"required":["allowAllCurrentAndFutureChannels","channels","groups","roles"],"type":"object","properties":{"allowAllCurrentAndFutureChannels":{"type":"boolean","description":"If set to true the user has access to all channels. In that case any explicitly specified channels are ignored."},"channels":{"uniqueItems":true,"type":"array","description":"The channels assigned to the user.","items":{"type":"string"}},"groups":{"uniqueItems":true,"type":"array","description":"The groups assigned to the user.","items":{"type":"string"}},"roles":{"uniqueItems":true,"type":"array","description":"The roles assigned to the user.","items":{"type":"string","enum":["AbTestManager","AfterSearchNavigationManager","BackupManager","CacheManager","CampaignManager","ConfiguratorManager","DeploymentManager","ImportManager","IntermediateOnlyImportManager","InstallManager","LanguageManager","LogfileAnalyzerManager","MayChangePassword","MessagesManager","NotificationManager","PreprocessorManager","RankingManager","RecommendationEngineManager","SearchInterfaceUser","SearchManager","ShowHelpSection","SuggestManager","ThesaurusManager","UserManager","WordValuesManager","SsoManager","ApiImport","ApiAnalytics","ApiPublicQueries","ApiConfig","ApiJobs","ApiDatabase","ApiMonitor","ApiManage","ApiUsers"]}}},"description":"Contains all permission related settings of a FactFinder user."},"UiSettings":{"required":["enableAdvancedMode","hideErrorNotifications","hideInactiveModules"],"type":"object","properties":{"enableAdvancedMode":{"type":"boolean","description":"In advanced mode the user sees all pages, in normal mode some settings pages are hidden."},"hideErrorNotifications":{"type":"boolean","description":"Whether error notifications should be hidden by default."},"hideInactiveModules":{"type":"boolean","description":"Whether inactive modules should be hidden by default."},"locale":{"type":"string","description":"The language tag representing the locale of the user. May be 'null' when the browser locale setting should be used."}},"description":"Contains all ui related settings of a FactFinder user."},"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/users":{"get":{"tags":["users"],"summary":"Get the users, which fulfil the given filters.","description":"<b>Required Roles</b>: <em>ApiUsers</em>","operationId":"getUsers","parameters":[{"name":"channel","in":"query","description":"Filter users assigned a specific channel.","required":false,"schema":{"type":"string"}},{"name":"group","in":"query","description":"Filter users who are part of a specific group.","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","description":"Filter users whose name contains a specific string.","required":false,"schema":{"type":"string"}},{"name":"role","in":"query","description":"Filter users with a specific role.","required":false,"schema":{"type":"string","enum":["AbTestManager","AfterSearchNavigationManager","BackupManager","CacheManager","CampaignManager","ConfiguratorManager","DeploymentManager","ImportManager","IntermediateOnlyImportManager","InstallManager","LanguageManager","LogfileAnalyzerManager","MayChangePassword","MessagesManager","NotificationManager","PreprocessorManager","RankingManager","RecommendationEngineManager","SearchInterfaceUser","SearchManager","ShowHelpSection","SuggestManager","ThesaurusManager","UserManager","WordValuesManager","SsoManager","ApiImport","ApiAnalytics","ApiPublicQueries","ApiConfig","ApiJobs","ApiDatabase","ApiMonitor","ApiManage","ApiUsers"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserInfo"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Create a new local user. Non-admin user are not allowed to create user with api roles or admin user. Only channels known by the creating user can be added to the new user.

> \<b>Required Roles\</b>: \<em>ApiUsers\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"users","description":"Operations for managing users"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["users"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"User":{"required":["name","password","permissions","uiSettings"],"type":"object","properties":{"name":{"maxLength":100,"minLength":1,"type":"string","description":"The name of the user."},"password":{"type":"string","description":"The password of the user in plaintext."},"permissions":{"$ref":"#/components/schemas/Permissions"},"ssoEnabled":{"type":"boolean"},"uiSettings":{"$ref":"#/components/schemas/UiSettings"}},"description":"Represents a user, which should be created, and its settings."},"Permissions":{"required":["allowAllCurrentAndFutureChannels","channels","groups","roles"],"type":"object","properties":{"allowAllCurrentAndFutureChannels":{"type":"boolean","description":"If set to true the user has access to all channels. In that case any explicitly specified channels are ignored."},"channels":{"uniqueItems":true,"type":"array","description":"The channels assigned to the user.","items":{"type":"string"}},"groups":{"uniqueItems":true,"type":"array","description":"The groups assigned to the user.","items":{"type":"string"}},"roles":{"uniqueItems":true,"type":"array","description":"The roles assigned to the user.","items":{"type":"string","enum":["AbTestManager","AfterSearchNavigationManager","BackupManager","CacheManager","CampaignManager","ConfiguratorManager","DeploymentManager","ImportManager","IntermediateOnlyImportManager","InstallManager","LanguageManager","LogfileAnalyzerManager","MayChangePassword","MessagesManager","NotificationManager","PreprocessorManager","RankingManager","RecommendationEngineManager","SearchInterfaceUser","SearchManager","ShowHelpSection","SuggestManager","ThesaurusManager","UserManager","WordValuesManager","SsoManager","ApiImport","ApiAnalytics","ApiPublicQueries","ApiConfig","ApiJobs","ApiDatabase","ApiMonitor","ApiManage","ApiUsers"]}}},"description":"Contains all permission related settings of a FactFinder user."},"UiSettings":{"required":["enableAdvancedMode","hideErrorNotifications","hideInactiveModules"],"type":"object","properties":{"enableAdvancedMode":{"type":"boolean","description":"In advanced mode the user sees all pages, in normal mode some settings pages are hidden."},"hideErrorNotifications":{"type":"boolean","description":"Whether error notifications should be hidden by default."},"hideInactiveModules":{"type":"boolean","description":"Whether inactive modules should be hidden by default."},"locale":{"type":"string","description":"The language tag representing the locale of the user. May be 'null' when the browser locale setting should be used."}},"description":"Contains all ui related settings of a FactFinder user."},"UserInfo":{"required":["lastActive","name","origin","permissions","uiSettings"],"type":"object","properties":{"lastActive":{"type":"string","description":"Date of the last activity of the user or the creation date, when the user did not log in, yet.","format":"date-time"},"name":{"type":"string","description":"The name of the user."},"origin":{"type":"string","description":"If the user is managed locally or remotely.","enum":["LOCAL","REMOTE"]},"permissions":{"$ref":"#/components/schemas/Permissions"},"uiSettings":{"$ref":"#/components/schemas/UiSettings"}},"description":"Represents a user and its settings."},"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/users":{"post":{"tags":["users"],"summary":"Create a new local user. Non-admin user are not allowed to create user with api roles or admin user. Only channels known by the creating user can be added to the new user.","description":"<b>Required Roles</b>: <em>ApiUsers</em>","operationId":"createUser","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserInfo"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Update user ui settings and permissions. Non-admin user are not allowed to add api roles or channels unknown to the creating user. Use dedicated api, if you want to change the password.

> \<b>Required Roles\</b>: \<em>ApiUsers\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"users","description":"Operations for managing users"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["users"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"UserUpdate":{"required":["name","permissions","uiSettings"],"type":"object","properties":{"name":{"type":"string","description":"The name of the user."},"permissions":{"$ref":"#/components/schemas/Permissions"},"uiSettings":{"$ref":"#/components/schemas/UiSettings"}},"description":"Represents a user, which should be updated, and its settings."},"Permissions":{"required":["allowAllCurrentAndFutureChannels","channels","groups","roles"],"type":"object","properties":{"allowAllCurrentAndFutureChannels":{"type":"boolean","description":"If set to true the user has access to all channels. In that case any explicitly specified channels are ignored."},"channels":{"uniqueItems":true,"type":"array","description":"The channels assigned to the user.","items":{"type":"string"}},"groups":{"uniqueItems":true,"type":"array","description":"The groups assigned to the user.","items":{"type":"string"}},"roles":{"uniqueItems":true,"type":"array","description":"The roles assigned to the user.","items":{"type":"string","enum":["AbTestManager","AfterSearchNavigationManager","BackupManager","CacheManager","CampaignManager","ConfiguratorManager","DeploymentManager","ImportManager","IntermediateOnlyImportManager","InstallManager","LanguageManager","LogfileAnalyzerManager","MayChangePassword","MessagesManager","NotificationManager","PreprocessorManager","RankingManager","RecommendationEngineManager","SearchInterfaceUser","SearchManager","ShowHelpSection","SuggestManager","ThesaurusManager","UserManager","WordValuesManager","SsoManager","ApiImport","ApiAnalytics","ApiPublicQueries","ApiConfig","ApiJobs","ApiDatabase","ApiMonitor","ApiManage","ApiUsers"]}}},"description":"Contains all permission related settings of a FactFinder user."},"UiSettings":{"required":["enableAdvancedMode","hideErrorNotifications","hideInactiveModules"],"type":"object","properties":{"enableAdvancedMode":{"type":"boolean","description":"In advanced mode the user sees all pages, in normal mode some settings pages are hidden."},"hideErrorNotifications":{"type":"boolean","description":"Whether error notifications should be hidden by default."},"hideInactiveModules":{"type":"boolean","description":"Whether inactive modules should be hidden by default."},"locale":{"type":"string","description":"The language tag representing the locale of the user. May be 'null' when the browser locale setting should be used."}},"description":"Contains all ui related settings of a FactFinder user."},"UserInfo":{"required":["lastActive","name","origin","permissions","uiSettings"],"type":"object","properties":{"lastActive":{"type":"string","description":"Date of the last activity of the user or the creation date, when the user did not log in, yet.","format":"date-time"},"name":{"type":"string","description":"The name of the user."},"origin":{"type":"string","description":"If the user is managed locally or remotely.","enum":["LOCAL","REMOTE"]},"permissions":{"$ref":"#/components/schemas/Permissions"},"uiSettings":{"$ref":"#/components/schemas/UiSettings"}},"description":"Represents a user and its settings."},"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/users":{"put":{"tags":["users"],"summary":"Update user ui settings and permissions. Non-admin user are not allowed to add api roles or channels unknown to the creating user. Use dedicated api, if you want to change the password.","description":"<b>Required Roles</b>: <em>ApiUsers</em>","operationId":"updateUser","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserUpdate"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserInfo"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Delete multiple users.

> \<b>Required Roles\</b>: \<em>ApiUsers\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"users","description":"Operations for managing users"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["users"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"UserInfo":{"required":["lastActive","name","origin","permissions","uiSettings"],"type":"object","properties":{"lastActive":{"type":"string","description":"Date of the last activity of the user or the creation date, when the user did not log in, yet.","format":"date-time"},"name":{"type":"string","description":"The name of the user."},"origin":{"type":"string","description":"If the user is managed locally or remotely.","enum":["LOCAL","REMOTE"]},"permissions":{"$ref":"#/components/schemas/Permissions"},"uiSettings":{"$ref":"#/components/schemas/UiSettings"}},"description":"Represents a user and its settings."},"Permissions":{"required":["allowAllCurrentAndFutureChannels","channels","groups","roles"],"type":"object","properties":{"allowAllCurrentAndFutureChannels":{"type":"boolean","description":"If set to true the user has access to all channels. In that case any explicitly specified channels are ignored."},"channels":{"uniqueItems":true,"type":"array","description":"The channels assigned to the user.","items":{"type":"string"}},"groups":{"uniqueItems":true,"type":"array","description":"The groups assigned to the user.","items":{"type":"string"}},"roles":{"uniqueItems":true,"type":"array","description":"The roles assigned to the user.","items":{"type":"string","enum":["AbTestManager","AfterSearchNavigationManager","BackupManager","CacheManager","CampaignManager","ConfiguratorManager","DeploymentManager","ImportManager","IntermediateOnlyImportManager","InstallManager","LanguageManager","LogfileAnalyzerManager","MayChangePassword","MessagesManager","NotificationManager","PreprocessorManager","RankingManager","RecommendationEngineManager","SearchInterfaceUser","SearchManager","ShowHelpSection","SuggestManager","ThesaurusManager","UserManager","WordValuesManager","SsoManager","ApiImport","ApiAnalytics","ApiPublicQueries","ApiConfig","ApiJobs","ApiDatabase","ApiMonitor","ApiManage","ApiUsers"]}}},"description":"Contains all permission related settings of a FactFinder user."},"UiSettings":{"required":["enableAdvancedMode","hideErrorNotifications","hideInactiveModules"],"type":"object","properties":{"enableAdvancedMode":{"type":"boolean","description":"In advanced mode the user sees all pages, in normal mode some settings pages are hidden."},"hideErrorNotifications":{"type":"boolean","description":"Whether error notifications should be hidden by default."},"hideInactiveModules":{"type":"boolean","description":"Whether inactive modules should be hidden by default."},"locale":{"type":"string","description":"The language tag representing the locale of the user. May be 'null' when the browser locale setting should be used."}},"description":"Contains all ui related settings of a FactFinder user."},"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/users":{"delete":{"tags":["users"],"summary":"Delete multiple users.","description":"<b>Required Roles</b>: <em>ApiUsers</em>","operationId":"deleteUsers","parameters":[{"name":"name","in":"query","description":"The names of users that will be deleted.","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserInfo"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Delete user.

> \<b>Required Roles\</b>: \<em>ApiUsers\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"users","description":"Operations for managing users"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["users"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"UserInfo":{"required":["lastActive","name","origin","permissions","uiSettings"],"type":"object","properties":{"lastActive":{"type":"string","description":"Date of the last activity of the user or the creation date, when the user did not log in, yet.","format":"date-time"},"name":{"type":"string","description":"The name of the user."},"origin":{"type":"string","description":"If the user is managed locally or remotely.","enum":["LOCAL","REMOTE"]},"permissions":{"$ref":"#/components/schemas/Permissions"},"uiSettings":{"$ref":"#/components/schemas/UiSettings"}},"description":"Represents a user and its settings."},"Permissions":{"required":["allowAllCurrentAndFutureChannels","channels","groups","roles"],"type":"object","properties":{"allowAllCurrentAndFutureChannels":{"type":"boolean","description":"If set to true the user has access to all channels. In that case any explicitly specified channels are ignored."},"channels":{"uniqueItems":true,"type":"array","description":"The channels assigned to the user.","items":{"type":"string"}},"groups":{"uniqueItems":true,"type":"array","description":"The groups assigned to the user.","items":{"type":"string"}},"roles":{"uniqueItems":true,"type":"array","description":"The roles assigned to the user.","items":{"type":"string","enum":["AbTestManager","AfterSearchNavigationManager","BackupManager","CacheManager","CampaignManager","ConfiguratorManager","DeploymentManager","ImportManager","IntermediateOnlyImportManager","InstallManager","LanguageManager","LogfileAnalyzerManager","MayChangePassword","MessagesManager","NotificationManager","PreprocessorManager","RankingManager","RecommendationEngineManager","SearchInterfaceUser","SearchManager","ShowHelpSection","SuggestManager","ThesaurusManager","UserManager","WordValuesManager","SsoManager","ApiImport","ApiAnalytics","ApiPublicQueries","ApiConfig","ApiJobs","ApiDatabase","ApiMonitor","ApiManage","ApiUsers"]}}},"description":"Contains all permission related settings of a FactFinder user."},"UiSettings":{"required":["enableAdvancedMode","hideErrorNotifications","hideInactiveModules"],"type":"object","properties":{"enableAdvancedMode":{"type":"boolean","description":"In advanced mode the user sees all pages, in normal mode some settings pages are hidden."},"hideErrorNotifications":{"type":"boolean","description":"Whether error notifications should be hidden by default."},"hideInactiveModules":{"type":"boolean","description":"Whether inactive modules should be hidden by default."},"locale":{"type":"string","description":"The language tag representing the locale of the user. May be 'null' when the browser locale setting should be used."}},"description":"Contains all ui related settings of a FactFinder user."},"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/users/{userName}":{"delete":{"tags":["users"],"summary":"Delete user.","description":"<b>Required Roles</b>: <em>ApiUsers</em>","operationId":"deleteUser","parameters":[{"name":"userName","in":"path","description":"The name of user that will be deleted.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserInfo"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Update user password. The password is expected to be plain text. Only passwords for local users can be changed.

> \<b>Required Roles\</b>: \<em>ApiUsers\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"users","description":"Operations for managing users"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["users"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"UserInfo":{"required":["lastActive","name","origin","permissions","uiSettings"],"type":"object","properties":{"lastActive":{"type":"string","description":"Date of the last activity of the user or the creation date, when the user did not log in, yet.","format":"date-time"},"name":{"type":"string","description":"The name of the user."},"origin":{"type":"string","description":"If the user is managed locally or remotely.","enum":["LOCAL","REMOTE"]},"permissions":{"$ref":"#/components/schemas/Permissions"},"uiSettings":{"$ref":"#/components/schemas/UiSettings"}},"description":"Represents a user and its settings."},"Permissions":{"required":["allowAllCurrentAndFutureChannels","channels","groups","roles"],"type":"object","properties":{"allowAllCurrentAndFutureChannels":{"type":"boolean","description":"If set to true the user has access to all channels. In that case any explicitly specified channels are ignored."},"channels":{"uniqueItems":true,"type":"array","description":"The channels assigned to the user.","items":{"type":"string"}},"groups":{"uniqueItems":true,"type":"array","description":"The groups assigned to the user.","items":{"type":"string"}},"roles":{"uniqueItems":true,"type":"array","description":"The roles assigned to the user.","items":{"type":"string","enum":["AbTestManager","AfterSearchNavigationManager","BackupManager","CacheManager","CampaignManager","ConfiguratorManager","DeploymentManager","ImportManager","IntermediateOnlyImportManager","InstallManager","LanguageManager","LogfileAnalyzerManager","MayChangePassword","MessagesManager","NotificationManager","PreprocessorManager","RankingManager","RecommendationEngineManager","SearchInterfaceUser","SearchManager","ShowHelpSection","SuggestManager","ThesaurusManager","UserManager","WordValuesManager","SsoManager","ApiImport","ApiAnalytics","ApiPublicQueries","ApiConfig","ApiJobs","ApiDatabase","ApiMonitor","ApiManage","ApiUsers"]}}},"description":"Contains all permission related settings of a FactFinder user."},"UiSettings":{"required":["enableAdvancedMode","hideErrorNotifications","hideInactiveModules"],"type":"object","properties":{"enableAdvancedMode":{"type":"boolean","description":"In advanced mode the user sees all pages, in normal mode some settings pages are hidden."},"hideErrorNotifications":{"type":"boolean","description":"Whether error notifications should be hidden by default."},"hideInactiveModules":{"type":"boolean","description":"Whether inactive modules should be hidden by default."},"locale":{"type":"string","description":"The language tag representing the locale of the user. May be 'null' when the browser locale setting should be used."}},"description":"Contains all ui related settings of a FactFinder user."},"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/users/{userName}/password":{"put":{"tags":["users"],"summary":"Update user password. The password is expected to be plain text. Only passwords for local users can be changed.","description":"<b>Required Roles</b>: <em>ApiUsers</em>","operationId":"updatePassword","parameters":[{"name":"userName","in":"path","description":"The name of the user, whose password should be changed.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string","description":"The password"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserInfo"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fact-finder.com/api-reference/users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
